org.apache.felix.gogo.command

## Class Files

- java.lang.Object
- - org.apache.felix.gogo.command.Files

    public class Files
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Files(org.osgi.framework.BundleContext bc)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`File` `cd(org.apache.felix.service.command.CommandSession session)`
`File` `cd(org.apache.felix.service.command.CommandSession session, String dir)`
`static boolean` `compareSubstring(List<String> pieces, String s)`
`File[]` `ls(org.apache.felix.service.command.CommandSession session)`
`File[]` `ls(org.apache.felix.service.command.CommandSession session, String pattern)`
`static List<String>` `parseSubstring(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Files

    public Files(org.osgi.framework.BundleContext bc)

### Method Detail

#### cd

    public File cd(org.apache.felix.service.command.CommandSession session)

#### cd

    public File cd(org.apache.felix.service.command.CommandSession session,
                   String dir)
            throws IOException

Throws:
  `IOException`

#### ls

    public File[] ls(org.apache.felix.service.command.CommandSession session)
              throws IOException

Throws:
  `IOException`

#### ls

    public File[] ls(org.apache.felix.service.command.CommandSession session,
                     String pattern)
              throws IOException

Throws:
  `IOException`

#### parseSubstring

    public static List<String> parseSubstring(String value)

#### compareSubstring

    public static boolean compareSubstring(List<String> pieces,
                                           String s)